Members
Manage workspace members: invite by email, update roles, and remove members.
/api/v1/members
Returns all members of the workspace. Filter by email using the optional `email` query parameter.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Filter members by email |
email
Type
stringDescription
Filter members by email
Responses
Status | Description |
|---|---|
| Workspace members list has been successfully fetched. |
| Invalid or missing credentials. |
200
Description
Workspace members list has been successfully fetched.
401
Description
Invalid or missing credentials.
200 response
{"data": [{"id": "be9625f0-6e34-4092-946e-e0497c8cb4a1","user": {"id": "d92639e7-e089-496e-8fc1-46ee53a4024b","email": "MQQ8YKTQJ7V0ZYYAKQHEGMTJ@sdk.test"},"role": "owner","status": "active","joinedOn": "2025-09-16T13:47:33.587Z","updatedAt": "2025-09-16T13:47:33.587Z"},{"id": "e6ae8922-b01b-48f8-aad1-9dce077b0257","user": {"id": "b960f756-d6ec-4e25-a2ad-6bc1fa827988","email": "some-email@example.com"},"role": "standard","status": "pending","joinedOn": "2025-09-16T13:47:40.795Z","updatedAt": "2025-09-16T13:47:42.657Z"}]}
401 response
{"error": {"message": "Invalid or expired token"}}
/api/v1/members
Add member to the workspace.
Request body
Field | Type | Description |
|---|---|---|
|
| Required. |
email
Type
string <email>Description
Required.
Responses
Status | Description |
|---|---|
| Member has been successfully added to the workspace. |
| MemberInfoDto is invalid. |
| Invalid or missing credentials. |
201
Description
Member has been successfully added to the workspace.
400
Description
MemberInfoDto is invalid.
401
Description
Invalid or missing credentials.
201 response
{"data": {"id": "2c418a9d-fa91-4760-ae93-dd68b98edea1","user": {"id": "b9909f1d-6522-49c4-bd45-367d9daef357","email": "some-email@example.com"},"role": "standard","status": "pending","joinedOn": "2025-09-16T13:03:29.034Z","updatedAt": "2025-09-16T13:03:29.034Z","pendingInvitationLinkSecret": "0J56tsGRcPHmmYk/GhZd8gCCB4RTMAG2nU9Cz2PQmOg="}}
400 response
{"error": {"message": "Please provide an actual email address"}}
401 response
{"error": {"message": "Invalid or expired token"}}
/api/v1/members/{memberId}
Returns a single member by their principal ID.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. PrincipalId of a member of the workspace managed by the service account |
memberId
Type
stringDescription
Required. PrincipalId of a member of the workspace managed by the service account
Responses
Status | Description |
|---|---|
| Workspace member has been successfully fetched. |
| Invalid or missing credentials. |
| Member does not exist. |
200
Description
Workspace member has been successfully fetched.
401
Description
Invalid or missing credentials.
404
Description
Member does not exist.
200 response
{"data": {"id": "2c418a9d-fa91-4760-ae93-dd68b98edea1","user": {"id": "b9909f1d-6522-49c4-bd45-367d9daef357","email": "some-email@example.com"},"role": "standard","status": "pending","joinedOn": "2025-09-16T13:03:29.034Z","updatedAt": "2025-09-16T13:03:29.034Z"}}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "Resource not found or user has no access privilege"}}
/api/v1/members/{memberId}
Updates a member's role. For `filespaceAdmin`, provide `filespaceIds` to specify which filespaces they administer.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. PrincipalId of a member of the workspace managed by the service account |
memberId
Type
stringDescription
Required. PrincipalId of a member of the workspace managed by the service account
Request body
Field | Type | Description |
|---|---|---|
|
| Required. |
|
| — |
role
Type
UpdatableMemberRoleDescription
Required.
filespaceIds
Type
string[]Description
—
Responses
Status | Description |
|---|---|
| Member role updated successfully. |
| Invalid or missing credentials. |
| Member does not exist. |
200
Description
Member role updated successfully.
401
Description
Invalid or missing credentials.
404
Description
Member does not exist.
200 response
{"data": {"id": "2c418a9d-fa91-4760-ae93-dd68b98edea1","user": {"id": "b9909f1d-6522-49c4-bd45-367d9daef357","email": "some-email@example.com"},"role": "standard","status": "pending","joinedOn": "2025-09-16T13:03:29.034Z","updatedAt": "2025-09-16T13:03:29.034Z"}}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "Resource not found or user has no access privilege"}}
/api/v1/members/{memberId}
Removes a member from the workspace.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. PrincipalId of a member of the workspace managed by the service account |
memberId
Type
stringDescription
Required. PrincipalId of a member of the workspace managed by the service account
Responses
Status | Description |
|---|---|
| Workspace member has been successfully removed. |
| Invalid or missing credentials. |
| Member does not exist. |
200
Description
Workspace member has been successfully removed.
401
Description
Invalid or missing credentials.
404
Description
Member does not exist.
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "Resource not found or user has no access privilege"}}
/api/v1/members/{memberId}/groups
Returns all groups a member currently belongs to.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. PrincipalId of a member of the workspace managed by the service account |
memberId
Type
stringDescription
Required. PrincipalId of a member of the workspace managed by the service account
Responses
Status | Description |
|---|---|
| Array fo GroupInfo objects of the groups in which the given member participates. |
| Invalid or missing credentials. |
| Member does not exist. |
200
Description
Array fo GroupInfo objects of the groups in which the given member participates.
401
Description
Invalid or missing credentials.
404
Description
Member does not exist.
200 response
{"data": [{"id": "00000000-0000-0000-0000-000000000002","name": "Everyone","provider": "lucid","memberCount": 2}]}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "Resource not found or user has no access privilege"}}